org.apache.poi.ss.usermodel

## Enum ConditionFilterType

- java.lang.Object
- - java.lang.Enum<ConditionFilterType>
  - - org.apache.poi.ss.usermodel.ConditionFilterType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConditionFilterType>

      public enum ConditionFilterType
      extends java.lang.Enum<ConditionFilterType>

  Used primarily for XSSF conditions, which defines a multitude of additional "filter" types for conditional formatting. HSSF rules will always be null (not a filter type) or #FILTER. XSSF conditions will be null (not a filter type) or any value other than #FILTER.

  Instance names match the constants from `STCfType` for convenience.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOVE_AVERAGE`
    `BEGINS_WITH`
    `CONTAINS_BLANKS`
    `CONTAINS_ERRORS`
    `CONTAINS_TEXT`
    `DUPLICATE_VALUES`
    `ENDS_WITH`
    `FILTER` This is the only value valid for HSSF rules
    `NOT_CONTAINS_BLANKS`
    `NOT_CONTAINS_ERRORS`
    `NOT_CONTAINS_TEXT`
    `TIME_PERIOD`
    `TOP_10`
    `UNIQUE_VALUES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConditionFilterType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConditionFilterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILTER

          public static final ConditionFilterType FILTER

      This is the only value valid for HSSF rules

    - #### TOP_10

          public static final ConditionFilterType TOP_10

    - #### UNIQUE_VALUES

          public static final ConditionFilterType UNIQUE_VALUES

    - #### DUPLICATE_VALUES

          public static final ConditionFilterType DUPLICATE_VALUES

    - #### CONTAINS_TEXT

          public static final ConditionFilterType CONTAINS_TEXT

    - #### NOT_CONTAINS_TEXT

          public static final ConditionFilterType NOT_CONTAINS_TEXT

    - #### BEGINS_WITH

          public static final ConditionFilterType BEGINS_WITH

    - #### ENDS_WITH

          public static final ConditionFilterType ENDS_WITH

    - #### CONTAINS_BLANKS

          public static final ConditionFilterType CONTAINS_BLANKS

    - #### NOT_CONTAINS_BLANKS

          public static final ConditionFilterType NOT_CONTAINS_BLANKS

    - #### CONTAINS_ERRORS

          public static final ConditionFilterType CONTAINS_ERRORS

    - #### NOT_CONTAINS_ERRORS

          public static final ConditionFilterType NOT_CONTAINS_ERRORS

    - #### TIME_PERIOD

          public static final ConditionFilterType TIME_PERIOD

    - #### ABOVE_AVERAGE

          public static final ConditionFilterType ABOVE_AVERAGE

  - ### Method Detail

    - #### values

          public static ConditionFilterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConditionFilterType c : ConditionFilterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConditionFilterType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.